Aller au contenu


Icône Zimbra Forum France jeudi 9 Mars 2017 A vos agendas !

Image IPB


Zimbra Altermime Disclaimer


  • Veuillez vous connecter pour répondre
3 réponses à ce sujet

#1 maGma

maGma

    Membre avancé

  • Membres
  • 36 messages
  • LocalisationBelgique

Posté 05 avril 2013 - 09:55

Bonjour,

Je suis en train de tester Altermime avec mon serveur Zimbra pour les mails sortants. Je rencontre un petit soucis quand je dois relancer mon MTA.

Voici la procédure que j'ai fait :

apt-get install altermime

useradd -r -c "Postfix Filters" -d /var/spool/filter filter

mkdir /var/spool/filter
chown filter.filter /var/spool/filter
chmod 750 /var/spool/filter

cp /opt/zimbra/postfix/conf/master.cf.in /opt/zimbra/postfix/conf/master.cf.in.orig

Je modifie le fichier master.cf.in en rajoutant ceci :

192.168.135.221:smtp inet n - n - - smtpd
-o content_filter=dfilt:
127.0.0.1:smtp inet n - n - - smtpd
	 -o content_filter=dfilt:
dfilt unix - n n - - pipe
flags=Rq user=filter argv=/opt/zimbra/postfix/conf/disclaimer -f ${sender} -- ${recipient}

Je crée dans "/opt/zimbra/postfix/conf/" le disclaimer.html & .txt

le script disclaimer du wiki :

#!/bin/sh
INSPECT_DIR=/var/spool/filter
SENDMAIL=/opt/zimbra/postfix/sbin/sendmail
FOLDER_DISCLAIMER=/opt/zimbra/postfix/conf

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

TEXT_DISCLAIMER=`grep "[a|A-z|Z]" ${FOLDER_DISCLAIMER}/disclaimer.txt | grep -v "_" | tail -2 | head -1`

cat > in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

nohup grep "${TEXT_DISCLAIMER}" in.$$ > /dev/null 2>&1

if [ ! "$?" = 0 ]; then
/usr/bin/altermime --input=in.$$ --disclaimer=${FOLDER_DISCLAIMER}/disclaimer.txt --disclaimer-html=${FOLDER_DISCLAIMER}/disclaimer.html \
--xheader="X-Copyrighted-Material: Please visit www.company.com/privacy.htm" || { echo Message content rejected; exit $EX_UNAVAILABLE; }
fi

$SENDMAIL -i "$@" < in.$$

exit $?

Le set des permissions :

chgrp filter /opt/zimbra/postfix/conf/disclaimer*
chmod 750 /opt/zimbra/postfix/conf/disclaimer

Et puis je redémarre zmmtactl.

Message d'erreur :

Rewriting configuration files...done.
/postfix-script: warning: not owned by root: /opt/zimbra/postfix-2.10-20121007.2z/conf/main.cf
/postfix-script: warning: not owned by root: /opt/zimbra/postfix-2.10-20121007.2z/conf/master.cf
/postfix-script: warning: not owned by root: /opt/zimbra/postfix-2.10-20121007.2z/conf/master.cf.in
/postfix-script: warning: not owned by root: /opt/zimbra/postfix-2.10-20121007.2z/conf/tag_as_foreign.re
/postfix-script: warning: not owned by root: /opt/zimbra/postfix-2.10-20121007.2z/conf/tag_as_originating.re
/postfix-script: starting the Postfix mail system
/postfix-script: fatal: mail system startup failed
postfix failed to start
Starting saslauthd...done.
Started opendkim: pid 2672

Le service MTA ne fonctionne pas bien évidement. Quand je change la configuration "master.cf.in" le MTA se lance parfaitement ce qui me donne à croire que j'ai du mal écrire une ligne. Mais laquelle :D.

Image IPB

EDIT :

J'ai trouvé l'erreur dans mon fichier de configuration. maintenant le postfix se lance correctement mais toujours aucun signe de disclaimer.

Petite question comment savoir si le script est bien appelé ?
ZCS 8.0.2_GA_55
Ubuntu 12.04 LTS

#2 maGma

maGma

    Membre avancé

  • Membres
  • 36 messages
  • LocalisationBelgique

Posté 05 avril 2013 - 14:17

Bon ok j'avoue la j'ai honte ... Je suis parti dans un truc vraiment rien à voir enfin plutôt Has-been.

Procédure :

zmprov mcf zimbraDomainMandatoryMailSignatureEnabled TRUE
zmprov mcf zimbraDomainMandatoryMailSignatureText <“some text”>
zmprov mcf zimbraDomainMandatoryMailSignatureHTML "<html><body>some html text</body></html>”

On redémarre le service :

/opt/zimbra/bin/zmamavisdctl restart

Dans ce cas de figure, le disclaimer est ajouté autant en local que pour les emails externes.
Si on veut uniquement pour les emails externes :

- Il faut modifier quelques lignes dans le fichier "/opt/zimbra/amavisd/sbin/amavisd". Attention il faut désactiver le service pour modifier à chaud la configuration ensuite le relancer.
Trouver :

if (!grep { defined($_) && $_ ne '' &&
						  lookup2(0,$_, ca('local_domains_maps')) }
					  unique_list( (!$rf ? () : @$rf), (!$rs ? () : @$rs),
								   @rfc2822_from, $rfc2822_sender, $sender)) {
				$to_be_mangled = 0;  # not for foreign 'Sender:' or 'From:'
				do_log(5,"will not add disclaimer, originator not local");
			  }

Remplacer par :

if (!grep { defined($_) && $_ ne '' &&
						  lookup2(0,$_, ca('local_domains_maps')) }
					  unique_list( (!$rf ? () : @$rf), (!$rs ? () : @$rs),
								   @rfc2822_from, $rfc2822_sender, $sender)) {
				$to_be_mangled = 0;  # not for foreign 'Sender:' or 'From:'
				do_log(5,"will not add disclaimer, originator not local");
			  } else {
				$to_be_mangled = 0  if $r->recip_is_local;
			  }

ZCS 8.0.2_GA_55
Ubuntu 12.04 LTS

#3 Klug

Klug

    Zimbra Jedi

  • Membres
  • PipPipPipPip
  • 10 124 messages
  • LocalisationBeaucaire - Gard

Posté 05 avril 2013 - 14:37

Sinon, il y a MxHero 8)

#4 maGma

maGma

    Membre avancé

  • Membres
  • 36 messages
  • LocalisationBelgique

Posté 05 avril 2013 - 14:45

Oui c'est juste mais bon si je peux utiliser les commandes de Zimbra uniquement. Ca me va
ZCS 8.0.2_GA_55
Ubuntu 12.04 LTS




0 utilisateur(s) li(sen)t ce sujet

0 membre(s), 0 invité(s), 0 utilisateur(s) anonyme(s)